package com.mx.dla.dda.factura.listado.dtos;

import java.io.Serializable;
import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;

public class FacturaListadoDTO implements Serializable{
	
	private static final long serialVersionUID = 1L;
	
	private String  numero;
	private String  estudio;
	private Date    fecha;
	private Integer sharepoint;
	private Integer approved;
	private Integer sap;
	private String  amount;	
	private Long    idFactura;	 
	private String facturaSap;
	private String documentoSap;
	 		
	public String getNumero() {
		return numero;
	}
	public void setNumero(String numero) {
		this.numero = numero;
	}
	public String getEstudio() {
		return estudio;
	}
	public void setEstudio(String estudio) {
		this.estudio = estudio;
	}
	public Date getFecha() {
		return fecha;
	}
	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}
	public Integer getSharepoint() {
		return sharepoint;
	}
	public void setSharepoint(Integer sharepoint) {
		this.sharepoint = sharepoint;
	}
	public Integer getApproved() {
		return approved;
	}
	public void setApproved(Integer approved) {
		this.approved = approved;
	}
	public String getAmount() {
		return amount;
	}
	public void setAmount(String amount) {
		this.amount = amount;
	}
	public Long getIdFactura() {
		return idFactura;
	}
	public void setIdFactura(Long idFactura) {
		this.idFactura = idFactura;
	}		
	public Integer getSap() {
		return sap;
	}
	public void setSap(Integer sap) {
		this.sap = sap;
	}
	public String getFacturaSap() {
		return facturaSap;
	}
	public void setFacturaSap(String facturaSap) {
		this.facturaSap = facturaSap;
	}
	public String getDocumentoSap() {
		return documentoSap;
	}
	public void setDocumentoSap(String documentoSap) {
		this.documentoSap = documentoSap;
	}
	@Override
	public String toString() {
		return "FacturaListadoDTO ["+ToStringBuilder.reflectionToString(this)+"]";
	}

}
